<?php
define('ROOT','../');
define('GCMS',true);
define('SYS', 'files');
require_once (ROOT.'system/power.php');
$diz -> head('Загрузка фотографии');
$diz -> title('<b>Загрузка фотографии</b>');
if($ya['balls']>=$nastr['oimg']){
if($aut == true){
$pav = $db -> dbcount('COUNT(`id`)','albom_pav',"`user`='$ya[id]'");
if($pav>0){
if (isset($_POST['submit'])) {
	if($func->delprobel(mb_strlen($_POST['name'])) > 2){
	if ($error) {
		$msg .= '<div class="error">'.$error.'</div>';
	} else {
	
		$newpath = trim('files/');
	
		$count = $false = 0;
		
		define('TIMESTART', microtime(true));
		
		for ($i = 0; $i < count($_FILES['file']['name']); $i ++) {
			
			if (empty($_FILES['file']['name'][$i])) {
				continue;
			}
		
			$name = $_FILES['file']['name'][$i];
			$ex = pathinfo($name);
			$ext = strtolower($ex['extension']);
            $array = array('1','2','3','4','5','6','7','q','w','f','b','n','m','f','d','a','z','e','8','9');
$l = 0;
$cod = '';
while ($l < 8) {
$cod .= $array[array_rand($array)];
++$l;
}
            $co = $db -> dbcount('COUNT(`id`)','albom_fotos');
            $up = $co+1;
            $ima=''.$perf.'_'.$cod.''.$up.'.'.$ext.'';
			$to = ''.$newpath . $ima;
			$to2 = ''.$newpath . $name;
			if ($ext == 'gif' || $ext == 'png' || $ext == 'jpeg' || $ext == 'jpg') {
			
				if (!file_exists($to)) {
					if (move_uploaded_file($_FILES['file']['tmp_name'][$i], $to)) {
						$name = $db->real_escape_string(shit($_POST['name']));
                        $info = $db->real_escape_string(shit($_POST['info']));
                        $cat = abs(intval(htmlentities($db -> real_escape_string($_POST['cat']))));
                        
$db -> query("INSERT INTO `albom_fotos` SET `url`='".$to."', `user`='".$ya['id']."',`text`='".$info."',`name`='".$name."',`cat`='".$cat."', `time`='".time()."'");
        		
						$count ++;
					
					} else {
						$false ++;
					}
	
				}
                } else {$msg .= '<div class="fon">Разрешено загружать файлы с расширением gif,png,jpeg,jpg!</div>';}   
			}
		
		if ($count == 0) {
		$msg .='<div class="fon">Произошла ошибка!</div>';
		} else {
		if($false==0){$msg .='<div class="fon">Фотография успешно добавлена в альбом!</div>';}else{
			$msg .= '<div class="fon">При загрузке файла произошла ошибка!</div>';}
		
		}
	}
    }else{$msg .='<div class="fon">Название фотографии не может быть короче 2х символов!</div>';}
	$msg .= '<div class="levo"><a href="./upload.php">Форма загрузки</a></div>';
} else {

	echo '<form action="?" method="post" enctype="multipart/form-data">';
$for = $db -> query("SELECT `id`,`name` FROM `albom_pav` where `user`='$ya[id]'");
while ($assoc = $for -> fetch_assoc()) {
$opt .= '<option value="'.$assoc['id'].'">'.$assoc['name'].'</option>';
}
$msg = '<div class="fon"><b>Альбом:</b> 
<select name="cat">'.$opt.'</select>';
$msg .= '<br/>
	<b>Выберите фотографию:</b><br/>
	<input name="file[]" type="file"></br>
Название (не менее 2 символов!):<br/>
<textarea name="name" rows="1" cols="15"></textarea><br/>
Описание:<br/>
<textarea name="info" rows="3" cols="15"></textarea><br/>
	<input type="submit" name="submit" value="Загрузить"/>
	</form></div>';
}
}else{$msg.='<div class="fon">Извините,но у вас нет фотоальбомов,куда можно добавить фотографию</div>';header('refresh: 3; url=index.php');}
}else{header('location: '.ROOT.'aut.php');}
}else{$msg.='<div class="fon">Извините,но вы пока не можете добавлять фотографии!</div>';header('refresh: 3; url=index.php');}
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./index.php">Назад</a>';
$msg .= '</br>'.$diz -> img('home.png').'<a href="/index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
?>